> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unity-plugin/utilities.md).

# 实用工具

- [角色情绪](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unity-plugin/utilities/character-emotion.md): 在本指南中，我们将了解来自服务器的角色情绪。
- [玩家数据容器](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unity-plugin/utilities/player-data-container.md): Convai SDK 正常工作所需从玩家获取的所有信息。
- [长期记忆 | Unity](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unity-plugin/utilities/long-term-memory.md): 了解如何让角色在多个会话中保留对话历史。
- [语言支持](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unity-plugin/utilities/language-support.md)
- [本地管理 sessionID](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unity-plugin/utilities/managing-sessionid-locally.md): Session ID 管理——管理用于 Convai Unity 集成的唯一会话 ID。
- [转录 UI 系统](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unity-plugin/utilities/transcript-ui-system.md): 转录 UI 系统——将转录 UI 与 Convai 的 Unity 插件集成。
- [预构建 UI 预制体](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unity-plugin/utilities/convai-ui-prefabs.md): Convai UI 预制体——利用可直接使用的 UI 元素进行 Convai 集成。
- [输入管理](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unity-plugin/utilities/input-management.md): 输入管理——高效处理 Convai Unity 插件集成的输入。
- [通知系统](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unity-plugin/utilities/notification-system.md): 通知系统——使用 Convai Unity 插件实用工具实现通知。
- [设置面板](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unity-plugin/utilities/settings-panel.md): 设置面板——使用 Convai 的 Unity 插件实用工具自定义设置。
- [动态信息上下文](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unity-plugin/utilities/dynamic-config.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unity-plugin/utilities.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
